POST /Command/TriggerIncidentExternalAction
Trigger 'On Incident External Action' in the playbooks for the first incident that meets the search condition.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Search Conditions |
|
Required |
The search condition is to find the first incident that occurred. The value query corresponding to the key supports regular expressions, string, number, { "$in": ["value1", "value2"] }, and, date:"$date": "2023-08-01T00:00:00Z" format. |
|
Trigger Data |
|
Required |
'Trigger Data' is the data when 'On Incident External Action' is triggered in the incident playbooks. |
READER NOTE
For Date/Time parameter Search Conditions, all times and timestamps must follow the ISO 8601 format: yyyy-MM-ddTHH:mm:ssZ.
For example, May 15, 2024, 2:32 PM should be written as 2024-05-15T14:32:00Z.